help

为当前最终发行版之前的所有版本提供支持
回复
03002407
帖子: 45
注册时间: 2006-05-25 12:00
送出感谢: 0
接收感谢: 0

help

#1

帖子 03002407 » 2006-05-26 14:04

i can't write in chinese.
附件
Screenshot-2.png
头像
roylez
论坛版主
帖子: 1928
注册时间: 2005-10-04 10:59
来自: 上海
送出感谢: 0
接收感谢: 1 次

#2

帖子 roylez » 2006-05-26 14:48

if you have not installed any Chinese input method, make a choice between scim and fcitx and install.
if you mean that you have installed Chinese input method such as fcitx and scim but cannot input chinese in console enviroment, try

代码: 全选

sudo apt-get install zhcon
弄个dropbox空间来备份文件或者做私人代码服务器
配置:[url]git://github.com/roylez/dotfiles.git[/url]
主页:http://roylez.heroku.com
各种稀奇玩意儿:http://dooloo.info
03002407
帖子: 45
注册时间: 2006-05-25 12:00
送出感谢: 0
接收感谢: 0

#3

帖子 03002407 » 2006-05-26 15:10

lostangel@ubuntu:~$ sudo apt-get install zhcon
正在读取软件包列表... 完成
正在分析软件包的依赖关系树... 完成
您可能需要运行“apt-get -f install”来纠正下列错误:
下列的软件包有不能满足的依赖关系:
ubuntu-desktop: 依赖: slocate 但是它将不会被安装
zhcon: 依赖: libggi2 (>= 1:2.0.5) 但是它将不会被安装
依赖: libpth2 但是它将不会被安装
依赖: unicon-imc2 但是它将不会被安装
依赖: libpth2 但是它将不会被安装
E: 有未能满足的依赖关系。请尝试不指明软件包的名字来运行“apt-get -f install”(也可以指定一个解决办法)。
lostangel@ubuntu:~$ sudo apt-get install language-support-zh
正在读取软件包列表... 完成
正在分析软件包的依赖关系树... 完成
您可能需要运行“apt-get -f install”来纠正下列错误:
下列的软件包有不能满足的依赖关系:
language-support-zh: 依赖: mozilla-firefox-locale-zh-cn 但是它将不会被安装
依赖: mozilla-firefox-locale-zh-tw 但是它将不会被安装
依赖: scim-chewing 但是它将不会被安装
依赖: scim-pinyin 但是它将不会被安装
依赖: scim-tables-zh 但是它将不会被安装
依赖: openoffice.org-help-zh-cn 但是它将不会被安装
依赖: openoffice.org-help-zh-tw 但是它将不会被安装
依赖: openoffice.org-l10n-zh-cn 但是它将不会被安装
依赖: openoffice.org-l10n-zh-tw 但是它将不会被安装
依赖: im-switch 但是它将不会被安装
依赖: thunderbird-locale-zh-cn 但是它将不会被安装
依赖: gimp-help-zh-cn 但是它将不会被安装
ubuntu-desktop: 依赖: slocate 但是它将不会被安装
E: 有未能满足的依赖关系。请尝试不指明软件包的名字来运行“apt-get -f install”(也可以指定一个解决办法)。
03002407
帖子: 45
注册时间: 2006-05-25 12:00
送出感谢: 0
接收感谢: 0

#4

帖子 03002407 » 2006-05-26 15:18

nkzealot 写了:if you have not installed any Chinese input method, make a choice between scim and fcitx and install.
if you mean that you have installed Chinese input method such as fcitx and scim but cannot input chinese in console enviroment, try

代码: 全选

sudo apt-get install zhcon
在Dapper里也可以直接选择系统->系统管理—>语言支持(language support)
附件
Screenshot.png
头像
zhan
帖子: 1880
注册时间: 2005-08-15 0:04
来自: 南7技校
送出感谢: 0
接收感谢: 0
联系:

#5

帖子 zhan » 2006-05-26 18:17

按照上面的提示,你应该运行

代码: 全选

sudo apt-get -f install
来解决依赖关系。先把这个做了,可能其他的都成功了。
飞得高,飞得低,学习再学习,多少大秘密!
http://zhan.blog.ubuntu.org.cn
回复

回到 “老旧版本支持”